#include <stdio.h>
/*#include <stdlib.h>*/
#include "procs.h"

/***************************************************
* Function:   readSEG2failed:                      *
*  if numRead == expected: returns 0,              *
*  else: prints a message to stderr and returns 1. *
*                                                  *
* written by: Cedric de La Beaujardiere            *
* date:       July 26, 2004                        *
***************************************************/
char readSEG2failed ( int numRead, int expected, char * fieldNameString, char * skipString ) {
  char returnval = 0;
  if (numRead != expected) {
    fprintf(stderr,
            "Error: can't read SEG2's %s. Skipping %s.\n",
             fieldNameString, skipString);
    returnval = 1;
  }
  return returnval;
}


